## org.omg.CORBA
Class ServerRequest

    java.lang.Object
      |
      +--org.omg.CORBA.ServerRequest

Direct Known Subclasses:
  ServerRequest

public abstract class ServerRequest
extends java.lang.Object

Constructor Summary
`ServerRequest()`

Method Summary
`void` `arguments(NVList nv)`
`abstract Context` `ctx()`
`void` `except(Any except)` Deprecated. use set_exception()
`java.lang.String` `op_name()` Deprecated. use operation()
`java.lang.String` `operation()`
`void` `params(NVList params)` Deprecated. use arguments()
`void` `result(Any result)` Deprecated. use set_result()
`void` `set_exception(Any except)`
`void` `set_result(Any result)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerRequest

    public ServerRequest()

Method Detail

### op_name

    public java.lang.String op_name()

  Deprecated. use operation()

### operation

    public java.lang.String operation()

### ctx

    public abstract Context ctx()

### params

    public void params(NVList params)

  Deprecated. use arguments()

### arguments

    public void arguments(NVList nv)

### result

    public void result(Any result)

  Deprecated. use set_result()

### set_result

    public void set_result(Any result)

### except

    public void except(Any except)

  Deprecated. use set_exception()

### set_exception

    public void set_exception(Any except)